Is my Brocade CNA device supported on my RHEL or RHELOSP certified system?

Updated -

Issue:

A server is listed as "Certified - Supported" on Red Hat's Hardware Certification site, but it was purchased with a Brocade CNA device. Is that Brocade device also certified and supported by Red Hat?

Environment

  • Red Hat Enterprise Linux
  • Red Hat Open Stack Platform

Resolution

The Brocade CNA driver bfa is supported in:

  • RHEL 5.9 and later
  • RHEL 6.3 and later
  • RHEL 7.0 and later
  • OSP 4 and later

Root Cause

At the time of this system's certification, the bfa driver for Brocade Fibre Channel host bus adapters was initially present in Red Hat Enterprise Linux 5 and 6 as a Technology Preview feature. Red Hat starts support "bfa" since RHEL6.3, RHELOSP3 is based on RHEL6.4 and RHELOSP4 is based on RHEL6.5, but partner didn't provide corresponding test result for this update.

Technology Preview features are currently not supported under Red Hat Enterprise Linux subscription services, may not be functionally complete and are generally not suitable for production use. However, these features are included as a customer convenience and to provide the feature with wider exposure. Customers may find these features useful in a non-production environment. Customers are also free to provide feedback and functionality suggestions for a Technology Preview feature before it becomes fully supported. Erratas will be provided for high-severity security issues.

RHEL 5.8 Tech Preview Note
RHEL 5.9 supported note
RHEL 6.2 Tech Preview note
RHEL 6.3 supported note